# binaryninja.interaction.InteractionHandler

class `binaryninja.interaction.``InteractionHandler`
  `__init__`()

  Methods

  `__init__`() |
  `get_address_input`(prompt, title, view, ...) |
  `get_choice_input`(prompt, title, choices) |
  `get_directory_name_input`(prompt, default_name) |
  `get_form_input`(fields, title) |
  `get_int_input`(prompt, title) |
  `get_open_filename_input`(prompt, ext) |
  `get_save_filename_input`(prompt, ext, ...) |
  `get_text_line_input`(prompt, title) |
  `register`() |
  `show_html_report`(view, title, contents, ...) |
  `show_markdown_report`(view, title, contents, ...) |
  `show_message_box`(title, text, buttons, icon) |
  `show_plain_text_report`(view, title, contents) |